Convert logical Hebrew text to visual text with newline conversion

- « hebrev

- hex2bin »

- PHP Manual
- String Functions
- Convert logical Hebrew text to visual text with newline conversion

# hebrevc

(PHP 4, PHP 5, PHP 7)

hebrevc — Convert logical Hebrew text to visual text with newline conversion

Warning

This function has been DEPRECATED as of PHP 7.4.0, and REMOVED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

hebrevc(string `$hebrew_text`, int `$max_chars_per_line` = 0): string

This function is similar to hebrev() with the difference that it converts newlines (\n) to "<br>\n".

The function tries to avoid breaking words.

### Parameters

`hebrew_text`

  A Hebrew input string.

`max_chars_per_line`

  This optional parameter indicates maximum number of characters per line that will be returned.

### Return Values

Returns the visual string.

### See Also

- hebrev() - Convert logical Hebrew text to visual text